#ifndef __GAME_H__
#define __GAME_H__

#define GP_NEUTRAL 0
#define GP_RED     1
#define GP_BLUE    2
#define GP_SHARED  3

#define GT_LAND    0
#define GT_STONE   4

extern int G_WIDTH, G_HEIGHT;
extern char g_grid[24][16];

void g_start_game();
int  g_can_move(int player, int x, int y);
void g_make_move(int player, int x, int y);
void g_compute_territory();
void g_get_territory(int *neutral, int *red, int *blue);
void g_get_stones(int *red, int *blue);
int  g_has_finished();

#endif
