#ifndef __BLOCKIT__
#define __BLOCKIT__

extern int network_okay;
extern char network_ip_buffer[];

void network_init();
void network_shutdown();
int network_start_server();
int network_check_connect();
int network_server_handshake();
int network_get_local_ip();
char *network_get_enemy_ip();
int network_client_connect(char *server_ip);
int network_client_handshake();
void network_kill_connection();
int network_check_for_move();
int network_send_move(int meta, int x, int y);
int network_get_move(int *meta, int *x, int *y);
int network_send_text(char *t);
int network_get_text(char *t);
int network_end_talk();

int network_synchronise();

#define META_SENDMOVE    0
#define META_SENDCHAR  168
#define META_ENDGAME   166
#define META_CHATMODE  180
#define META_STARTLARGE   42
#define META_STARTSMALL   84

#endif
