#ifndef __RUNGAME_H__
#define __RUNGAME_H__

#define R_GAME_OVER -1
#define R_HUMAN  0

#define R_AI_EASY 1
#define R_AI_NORMAL 2
#define R_AI_HARD 3

#define R_NET_MASTER 4
#define R_NET_SLAVE 5


void r_start_game(int red, int blue);
void r_finish_game(int winner);
void r_redraw(int n);
void r_fade_screen(double r, double g, double b);
void r_flash_move(int x, int y);
int r_chat_mode(int type);
int r_connect_net(int type);
int r_shifted_keystroke(int c);

#endif
